%define upstream_name zope.proxy

Name:           python-%{upstream_name}
Version:        4.3.5
Release:        %mkrel 1
Summary:        Generic Transparent Proxies
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope.proxy
Source0:        https://files.pythonhosted.org/packages/ab/37/26899cb231ecfa04822a17a669eac6df7ef0c2a86e2b78001db0cd3edd46/zope.proxy-%{version}.tar.gz

%description
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%package -n     python3-%{upstream_name}
Summary:        Generic Transparent Proxies
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%prep
%setup -q -n zope.proxy-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitearch}/zope
%{python3_sitearch}/zope.proxy-%{version}-*.egg-info
%{python3_sitearch}/zope.proxy-%{version}-*-nspkg.pth
%{_includedir}/python3.8/zope.proxy


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 4.3.5-1.mga8
+ Revision: 1608485
- new version 4.3.5
- new version works with Python 3.8
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.3.2-2.mga8
+ Revision: 1534562
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.3.2-1.mga8
+ Revision: 1449375
- imported package python-zope.proxy

